% single mass-spring-damper system
% m*xdd+c*xd+k*x=P*cos(w*t)
% scale with m=1 k=1 P=1 and take c=2b
% leaves two parameters b and w
% xdd+2*b*xd+x=cos(w*t)
% parameters of the problem
b = 0.2;
w = 0.1;
pars = [b w];
%initial values [position; speed]
y0 = [0; 0];
% options of numerical integrator
opts = [];
%opts = odeset('reltol',1e-6,'abstol',1e-6,'outputfcn',@odephas2);
% do the numerical integration
tspan=0:1:500;
[T,Y] = ode23(@singlemassfriceqn,tspan,y0,opts,pars);
% show some results
figure
plot(T,Y)
hold on
plot(T,cos(w.*T),'--r')
grid

animate

% figure
% plot(Y(:,1),Y(:,2))
% grid