function dy = singlemassfriceqn(t,y,par)
% function dy = snglemass(t,y,par)
% set the tolerance for zero velocity
vtol = 1e-3;
% unpack the parameters
b = par(1);
w = par(2);
% copy the state vector to useful names
x = y(1);
xd = y(2);
if abs(xd)<vtol
% determine the friction such that there is no sticktion
  W = -x+cos(w*t);
  W = sign(W)*min(abs(W),b);
else
  if xd>0
    W = b;
  else
    W = -b;
  end
end
% calculate the accelaration
xdd = -x-W+cos(w*t);
% fill the state derivatives
dy = zeros(2,1);
dy(1) = xd;
dy(2) = xdd;
